#include <sourcemod>
#include <sdktools>
#include <colors>

new Handle:g_ads_1_on = INVALID_HANDLE;
new Handle:g_ads_2_on = INVALID_HANDLE;
new Handle:g_ads_timer_1 = INVALID_HANDLE;
new Handle:g_ads_timer_2 = INVALID_HANDLE;
new Handle:g_timer_1 = INVALID_HANDLE;
new Handle:g_timer_2 = INVALID_HANDLE;


public OnPluginStart() //CFG设置
{
	g_ads_1_on = CreateConVar("sm_ads_1_on", "1", "1.开启多排公告同时出现");
	g_ads_2_on = CreateConVar("sm_ads_2_on", "1", "1.开启随即出现一排公告");
	g_ads_timer_1 = CreateConVar("sm_ads_timer_1", "200.0", "多排公告多少秒发布一次");
	g_ads_timer_2 = CreateConVar("sm_ads_timer_2", "80", "随即公告多少秒发布一次");
	AutoExecConfig(true, "l4d2_ads");
	CreateTimer(10.0, StartAds);
}


public Action:StartAds(Handle:timer) //开始公告
{
	if(GetConVarInt(g_ads_1_on)) g_timer_1 = CreateTimer(GetConVarFloat(g_ads_timer_1), Ads1);
	if(GetConVarInt(g_ads_2_on)) g_timer_2 = CreateTimer(GetConVarFloat(g_ads_timer_2), Ads2);
}


public Action:Ads1(Handle:timer, any:client) //多排提示出现
{
	CPrintToChatAll("");
	CPrintToChatAll("");
	CPrintToChatAll("");
	CPrintToChatAll("");
	if(GetConVarInt(g_ads_1_on)) g_timer_1 = CreateTimer(GetConVarFloat(g_ads_timer_1), Ads1);
}


public Action:Ads2(Handle:timer) //随即提示一排
{
	new randomads = GetRandomInt(0, 4); 
	switch(randomads)
	{
		case 0: CPrintToChatAll("");
		case 1: CPrintToChatAll("");
		case 2: CPrintToChatAll("");
		case 3: CPrintToChatAll("");
		case 4: CPrintToChatAll("");
	}
	if(GetConVarInt(g_ads_2_on)) g_timer_2 = CreateTimer(GetConVarFloat(g_ads_timer_2), Ads2);
}


public Action:OnPluginStop() //停止公告
{
	if(GetConVarInt(g_ads_1_on)) KillTimer(g_timer_1);
	if(GetConVarInt(g_ads_2_on)) KillTimer(g_timer_2);
}

